Bug 1009147 - [abrt] brasero-3.8.0-3.fc20: _g_log_abort: Process /usr/bin/brasero was killed by signal 6 (SIGABRT)
[abrt] brasero-3.8.0-3.fc20: _g_log_abort: Process /usr/bin/brasero was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
https://bugzilla.gnome.org/show_bug.c...
abrt_hash:1554ada14f93ca3eb7998c543c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 15:14 EDT by Clyde E. Kunkel
Modified: 2014-08-27 07:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-27 07:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.88 KB, text/plain)
2013-09-17 15:14 EDT, Clyde E. Kunkel
no flags Details
File: cgroup (169 bytes, text/plain)
2013-09-17 15:14 EDT, Clyde E. Kunkel
no flags Details
File: core_backtrace (18.09 KB, text/plain)
2013-09-17 15:14 EDT, Clyde E. Kunkel
no flags Details
File: dso_list (13.66 KB, text/plain)
2013-09-17 15:14 EDT, Clyde E. Kunkel
no flags Details
File: environ (1.66 KB, text/plain)
2013-09-17 15:14 EDT, Clyde E. Kunkel
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-17 15:14 EDT, Clyde E. Kunkel
no flags Details
File: maps (68.68 KB, text/plain)
2013-09-17 15:15 EDT, Clyde E. Kunkel
no flags Details
File: open_fds (943 bytes, text/plain)
2013-09-17 15:15 EDT, Clyde E. Kunkel
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-09-17 15:15 EDT, Clyde E. Kunkel
no flags Details

  None (edit)
Description Clyde E. Kunkel 2013-09-17 15:14:40 EDT
Description of problem:
Just clicked on icon in favorites bar.

Version-Release number of selected component:
brasero-3.8.0-3.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        brasero
crash_function: _g_log_abort
executable:     /usr/bin/brasero
kernel:         3.12.0-0.rc0.git24.1.fc21.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000
var_log_messages: Sep 14 17:28:42 P5K-EWIFI abrt[6845]: Saved core dump of pid 6827 (/usr/bin/brasero) to /var/tmp/abrt/ccpp-2013-09-14-17:28:42-6827 (42090496 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 get_icon_fallback at gtkrecentmanager.c:1960
 #6 brasero_project_type_chooser_build_recent at brasero-project-type-chooser.c:331
 #7 brasero_project_type_chooser_init at brasero-project-type-chooser.c:525
 #8 g_type_create_instance at gtype.c:1868
 #9 g_object_new_internal at gobject.c:1746
 #12 brasero_project_type_chooser_new at brasero-project-type-chooser.c:586
 #13 brasero_project_manager_init at brasero-project-manager.c:838
 #14 g_type_create_instance at gtype.c:1868
 #15 g_object_new_internal at gobject.c:1746
Comment 1 Clyde E. Kunkel 2013-09-17 15:14:43 EDT
Created attachment 798944 [details]
File: backtrace
Comment 2 Clyde E. Kunkel 2013-09-17 15:14:46 EDT
Created attachment 798945 [details]
File: cgroup
Comment 3 Clyde E. Kunkel 2013-09-17 15:14:48 EDT
Created attachment 798946 [details]
File: core_backtrace
Comment 4 Clyde E. Kunkel 2013-09-17 15:14:53 EDT
Created attachment 798947 [details]
File: dso_list
Comment 5 Clyde E. Kunkel 2013-09-17 15:14:55 EDT
Created attachment 798948 [details]
File: environ
Comment 6 Clyde E. Kunkel 2013-09-17 15:14:58 EDT
Created attachment 798949 [details]
File: limits
Comment 7 Clyde E. Kunkel 2013-09-17 15:15:00 EDT
Created attachment 798951 [details]
File: maps
Comment 8 Clyde E. Kunkel 2013-09-17 15:15:04 EDT
Created attachment 798952 [details]
File: open_fds
Comment 9 Clyde E. Kunkel 2013-09-17 15:15:07 EDT
Created attachment 798953 [details]
File: proc_pid_status
Comment 10 Branko Grubić 2013-09-20 04:00:14 EDT
I think I have same problem with brasero ( brasero-3.8.0-4.fc20.x86_64 ) I reported it upstream, but not sure is problem for upstream or fedora, I'll add link to upstream report ...
Comment 11 Joshua Lock 2013-09-20 05:01:45 EDT
Hi,

I recently took over maintaining Brasero and pushed a patch which I believe fixes this issue after some recent gtk+ changes:

https://git.gnome.org/browse/brasero/commit/?id=2eb68c9855e202899a3ab71d14d884c80c57b38a

As I didn't take over Brasero maintenance until late in the 3.10 cycle I haven't yet figured out making releases, but I'll try and make one soon with this fix.
Comment 12 Branko Grubić 2014-08-27 07:34:00 EDT
This is fixed in f20, currently 'brasero-3.10.0-1.fc20.x86_64' works fine.
I'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.